Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Private Attributes | List of all members
osmium::Segment Class Reference

`#include <segment.hpp>`

Inheritance diagram for osmium::Segment:
[legend]
Collaboration diagram for osmium::Segment:
[legend]

## Public Member Functions
constexpr | Segment (const osmium::Location &location1, const osmium::Location &location2) noexcept
constexpr osmium::Location | first () const noexcept
| Return first Location of Segment.
constexpr osmium::Location | second () const noexcept
| Return second Location of Segment.

## Protected Member Functions
void | swap_locations ()

## Private Attributes
osmium::Location | m_first
osmium::Location | m_second

## Detailed Description

A Segment is the directed connection between two Locations.

## Constructor & Destructor Documentation

## ◆ Segment()

osmium::Segment::Segment | ( | const osmium::Location & | location1,
|  | const osmium::Location & | location2 )
| inline explicit constexpr noexcept

## Member Function Documentation

## ◆ first()

osmium::Location osmium::Segment::first | ( |  | ) | const
| inline constexpr noexcept

Return first Location of Segment.

## ◆ second()

osmium::Location osmium::Segment::second | ( |  | ) | const
| inline constexpr noexcept

Return second Location of Segment.

## ◆ swap_locations()

void osmium::Segment::swap_locations | ( |  | ) |
| inline protected

## Member Data Documentation

## ◆ m_first

osmium::Location osmium::Segment::m_first
| private

## ◆ m_second

osmium::Location osmium::Segment::m_second
| private

The documentation for this class was generated from the following file:

- include/osmium/osm/segment.hpp